Bug 741089 - Drop (un)setting LANG and DISPLAY in build stages, require rpm >= 4.8.0
Summary: Drop (un)setting LANG and DISPLAY in build stages, require rpm >= 4.8.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 08:56 UTC by Ville Skyttä
Modified: 2012-10-04 01:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-04 01:30:56 UTC


Attachments (Terms of Use)
Drop (un)setting LANG and DISPLAY in build stages, require rpm >= 4.8.0 (2.96 KB, patch)
2011-09-25 08:56 UTC, Ville Skyttä
no flags Details | Diff
Drop (un)setting LANG and DISPLAY in build stages, require rpm >= 4.8.0 (3.05 KB, patch)
2011-11-24 22:20 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2011-09-25 08:56:31 UTC
Created attachment 524773 [details]
Drop (un)setting LANG and DISPLAY in build stages, require rpm >= 4.8.0

Setting LANG and unsetting DISPLAY is done by rpmbuild >= 4.8.0 already, no need to do it in redhat-rpm-config any more.  I'm not sure what the "%install %{?_enable_debug_packages:%{?buildsubdir:%{debug_package}}}" stuff does so I left it in.  Let me know if you'd like me to push and build this for devel.

Comment 1 Ville Skyttä 2011-11-24 22:20:02 UTC
Created attachment 536064 [details]
Drop (un)setting LANG and DISPLAY in build stages, require rpm >= 4.8.0

Ping?  Patch updated so that it applies against current git master.

Comment 2 Toshio Ernie Kuratomi 2012-10-04 01:30:56 UTC
Built for rawhide.  I'm not confident I know whether this will have any side effects so I didn't push it into the build for F18.  If it causes no problems and I end up doing another round of builds for redhat-rpm-config, I'll likely push it back.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4557879


Note You need to log in before you can comment on or make changes to this bug.